From 22851cb04cdd05b2f128d86fe2ecab6ce4f2ce09 Mon Sep 17 00:00:00 2001
From: Sascha Markus <sascha.markus@gmail.com>
Date: Tue, 8 May 2018 20:53:26 +0000
Subject: [PATCH] feature-11689-WhisperBack-Enforce-80-character-limit

---
 whisperBack/gui.py   |  4 +++-
 whisperBack/utils.py | 15 +++++++++++++++
 2 files changed, 18 insertions(+), 1 deletion(-)

diff --git a/whisperBack/gui.py b/whisperBack/gui.py
index 2621823..ce9f975 100644
--- a/whisperBack/gui.py
+++ b/whisperBack/gui.py
@@ -223,10 +223,12 @@ class WhisperBackUI(object):
         self.main_window.set_sensitive(False)
 
         self.backend.subject = self.subject.get_text()
-        self.backend.message = self.message.get_buffer().get_text(
+        message_text = self.message.get_buffer().get_text(
                                self.message.get_buffer().get_start_iter(),
                                self.message.get_buffer().get_end_iter(),
                                include_hidden_chars=False)
+        self.backend.message = whisperBack.utils.wrap_text(message_text)
+
         if self.contact_email.get_text():
             try:
                 self.backend.contact_email = self.contact_email.get_text()
diff --git a/whisperBack/utils.py b/whisperBack/utils.py
index e84c624..0cc0f44 100644
--- a/whisperBack/utils.py
+++ b/whisperBack/utils.py
@@ -27,6 +27,7 @@
 
 import os
 import re
+import textwrap
 import urllib.parse
 import locale
 
@@ -224,3 +225,17 @@ def sanitize_hardware_info(log_string):
                         r'[MAC REMOVED]',
                         log_string)
     return log_string
+
+
+def wrap_text(text):
+    """Wraps long lines of text to a width of 80 chars
+    @param text the string to be wrapped 
+
+    @return The wrapped text"""
+
+    wrapped = list()
+    for line in text.split('\n'):
+        wrapped_line = textwrap.fill(line, width=80)
+        wrapped.append(wrapped_line)
+
+    return '\n'.join(wrapped)
-- 
2.11.0

